VPS侦探论坛

 找回密码
 注册
查看: 119|回复: 2

请教大佬升级php失败怎么修复呢

[复制链接]
发表于 2020-9-13 09:43:51 | 显示全部楼层 |阅读模式



本帖最后由 netAlchemist 于 2020-9-13 09:49 编辑
  1. [root@ lnmp1.7]# cat lnmp.conf

  2. Download_Mirror='https://soft.vpser.net'

  3. Nginx_Modules_Options=''
  4. PHP_Modules_Options='--with-webp'

  5. ##MySQL/MariaDB database directory##
  6. MySQL_Data_Dir='/usr/local/mysql/var'
  7. MariaDB_Data_Dir='/usr/local/mariadb/var'
  8. ##Default website home directory##
  9. Default_Website_Dir='/home/wwwroot/default'

  10. Enable_Nginx_Openssl='y'
  11. Enable_PHP_Fileinfo='n'
  12. Enable_Nginx_Lua='n'
  13. Enable_Swap='y'
复制代码
  1. Composer install successfully.
  2. Install ZendGuardLoader for PHP 7...
  3. unavailable now.
  4. Creating new php-fpm configure file...
  5. Copy php-fpm init.d file...
  6. cp: cannot stat ‘/root/lnmp1.7/src/php-7.4.9/sapi/fpm/init.d.php-fpm’: No such file or directory
  7. chmod: cannot access ‘/etc/init.d/php-fpm’: No such file or directory
  8. +-------------------------------------------+
  9. |    Manager for LNMP, Written by Licess    |
  10. +-------------------------------------------+
  11. |              https://lnmp.org             |
  12. +-------------------------------------------+
  13. Starting LNMP...
  14. Starting nginx...  done
  15. Starting mariadb (via systemctl):  [  OK  ]
  16. /usr/bin/lnmp: line 26: /etc/init.d/php-fpm: No such file or directory
复制代码


升级php的目的是添加--with-webp模块
centos7 debian10都是这样,VPS是contabo完整的日志在附件中



本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2020-9-13 14:45:04 | 显示全部楼层


checking for libwebp... no
configure: error: Package requirements (libwebp) were not met:

No package 'libwebp' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables WEBP_CFLAGS
and WEBP_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

你安装某个模块需要看该模块是否需要其他依赖包,有依赖包必须要先安装好依赖包才行
比如--with-webp就需要先安装好libweb的依赖包
centos:yum install libwebp-devel
debian/ubuntu:apt-get install libwebp-dev
安装好相关依赖包再进行升级

升级失败的恢复在官网升级教程里有说明
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
 楼主| 发表于 2020-9-13 17:12:00 | 显示全部楼层



licess 发表于 2020-9-13 14:45
你安装某个模块需要看该模块是否需要其他依赖包,有依赖包必须要先安装好依赖包才行
比如--with-webp就需 ...

好的,谢谢军哥指点
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2020-9-21 04:18 , Processed in 0.053069 second(s), 27 queries .

Powered by Discuz! X3.4

Copyright © 2001-2020, Tencent Cloud.

快速回复 返回顶部 返回列表